import { OnDestroy, OnChanges, ElementRef, EventEmitter, SimpleChanges, OnInit } from '@angular/core';
import { LazyService } from 'nu-lazy';
import { G2ChartConfig } from './config';
export declare class G2ChartComponent implements OnInit, OnDestroy, OnChanges {
    private el;
    private config;
    private lazySrv;
    static idPool: number;
    private instance;
    private id;
    private initFlag;
    options: any;
    readonly ready: EventEmitter<any>;
    readonly destroy: EventEmitter<{}>;
    constructor(el: ElementRef, config: G2ChartConfig, lazySrv: LazyService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private init;
    private _destroy;
    /**
     * 获取Chart实例
     */
    readonly Instance: any;
    ngOnDestroy(): void;
}
